# Generate automatically. Do not edit.

commit f4e4ed10da6319c1bdbaf4953b89347688f91b2b
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-21

    Release version 0.12

 NEWS                        | 6 ++++++
 configure.ac                | 2 +-
 libsecret/tests/Makefile.am | 1 +
 3 files changed, 8 insertions(+), 1 deletion(-)

commit fb5f66296f9e19250e470ca1272ee319e68d0849
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-14

    Don't print messages when creating default collection
    
     * This is expected behavior, so don't complain.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688165

 libsecret/secret-methods.c | 4 +---
 libsecret/secret-paths.c   | 7 +++++++
 libsecret/secret-private.h | 3 +++
 3 files changed, 11 insertions(+), 3 deletions(-)

commit a23ee598c7634a7bc1c6d2090856dd465d46835f
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-14

    Rework how we strip remote DBus errors
    
     * This is necessary because sometimes we don't want to complain,
       for expected errors, when running nested operations.
     * The fact that we have to do this is silly, and soon there
       will be a solution in glib itself.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688165

 libsecret/secret-collection.c | 12 ++++++------
 libsecret/secret-item.c       | 18 +++++++-----------
 libsecret/secret-methods.c    | 12 ++++++------
 libsecret/secret-paths.c      | 22 ++++++++--------------
 libsecret/secret-private.h    |  3 +++
 libsecret/secret-prompt.c     |  4 +---
 libsecret/secret-service.c    |  8 ++++----
 libsecret/secret-session.c    |  4 +---
 libsecret/secret-util.c       | 17 +++++++++++++----
 9 files changed, 49 insertions(+), 51 deletions(-)

commit 430b217e3e17a4623894750bcb996489353aa6b3
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-14

    Translated label for automatically created default keyrings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688165

 libsecret/secret-methods.c | 4 +++-
 po/POTFILES.in             | 1 +
 2 files changed, 4 insertions(+), 1 deletion(-)

commit afc1d656791c938796894e7ef458a5d60875fc50
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-14

    When storing a secret, create default keyring if necessary
    
     * If the default keyring does not exist when storing a secret
       try and create it.
     * We handle both secrets that correctly return NoSuchObject
       and ones that just return the silly DBus UnknownMethod error.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688165

 libsecret/secret-collection.c         |  8 ++---
 libsecret/secret-methods.c            | 63 ++++++++++++++++++++++++++++++++---
 libsecret/secret-private.h            |  4 +++
 libsecret/tests/mock-service-empty.py | 17 ++++++++++
 libsecret/tests/test-methods.c        | 50 +++++++++++++++++++++++++++
 5 files changed, 134 insertions(+), 8 deletions(-)

commit 4eb3c4577e16feb74870c023eaaa474bc7490a1a
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-14

    Fix collection creation bugs in mock service
    
     * Guarantee that collections have unique paths
     * Set the alias of new collections correctly
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688165

 libsecret/tests/mock/service.py | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 446648da529d8aeedae8539eceba5052f421bdac
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-07

    egg-hex: Bring over changes from gnome-keyring and gcr

 egg/egg-hex.c        | 37 ++++++++++++++++++++++---------------
 egg/egg-hex.h        | 12 ++++++------
 egg/tests/test-hex.c | 11 +++++++----
 3 files changed, 35 insertions(+), 25 deletions(-)

commit e666db528e50b81f63005499fd56c6d8aa5f7252
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-06

    Remove some unused test code

 egg/tests/test-secmem.c | 2 --
 1 file changed, 2 deletions(-)

commit 21f2ccea31e32298a79a3e793b6dd20550c70bbe
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-27

    Share the memory pool with the gcr or libgnome-keyring library.

 libsecret/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7cea18071bd33d70834cc05b8bcdcaee05194270
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-27

    Bring over a new version of the secure memory code from gcr
    
     * This allows libraries to share the pool if they have the same
       version of the secure memory code.

 egg/egg-secure-memory.c    | 453 +++++++++++++++++++++++----------------------
 egg/egg-secure-memory.h    | 110 +++++------
 egg/tests/test-dh.c        |   2 +-
 egg/tests/test-hkdf.c      |   2 +-
 egg/tests/test-secmem.c    |  20 +-
 libsecret/secret-service.c |   2 +-
 6 files changed, 300 insertions(+), 289 deletions(-)

commit 275d314d5706e412c346fe85027b888cf7d99f76
Author: Xi Wang <xi.wang@gmail.com>
Date:   2012-10-22

    Fix incorrect loop condition in egg_hkdf_perform()
    
    This does not cause a change in behavior (as evidenced by tests,
    at least on linux when built with gcc) but is more correct code,
    and less likely to be miscompiled.
    
    The condition (i < 256) in the following loop is always false since i
    is of type guchar, which is at most 255.
    
    	guchar i;
    	...
    	for (i = 1; i < 256; ++i) { ... }
    
    This patch changes i to a larger type gint.
    
    Also in the loop we have:
    
    	gcry_md_write (md2, &i, 1);
    
    change it to use gcry_md_putc().

 egg/egg-hkdf.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 24cc1e118f34c8d90e05e9a6a9762de5c0415328
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-22

    Fix for glib deprecations
    
     * g_type_init() was deprecated in glib 2.35.0

 docs/reference/libsecret/Makefile.am | 4 +++-
 libsecret/tests/test-attributes.c    | 2 ++
 libsecret/tests/test-collection.c    | 2 ++
 libsecret/tests/test-item.c          | 2 ++
 libsecret/tests/test-methods.c       | 2 ++
 libsecret/tests/test-password.c      | 2 ++
 libsecret/tests/test-paths.c         | 2 ++
 libsecret/tests/test-prompt.c        | 2 ++
 libsecret/tests/test-service.c       | 2 ++
 libsecret/tests/test-session.c       | 2 ++
 libsecret/tests/test-value.c         | 3 +++
 tool/secret-tool.c                   | 2 ++
 12 files changed, 26 insertions(+), 1 deletion(-)

commit 791b0c0b4d07d5120d08427a6d7ec94c5f4db813
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-15

    Release version 0.11

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 7e02a594a77c2730efcc13dd141cc78e201cd7e3
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-12

    Better critical preconditions for invalid attributes
    
     * When passing NULL for a string vararg attribute print
       a critical warning.
     * Make all attribute warnings critical
     * Add tests for the various critical warnings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686015

 libsecret/secret-attributes.c     |  12 ++--
 libsecret/secret-password.c       |  28 ++++++++
 libsecret/tests/Makefile.am       |   1 +
 libsecret/tests/test-attributes.c | 140 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 177 insertions(+), 4 deletions(-)

commit bcf1093ff3401443dad0750cbc4fff7d16cd999d
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-18

    Release version 0.10

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 9e7eb50bfe6442bd03689912f370078ab27117f9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2012-09-04

    Updated Polish translation

 po/pl.po | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit ba3e19150e6bf02854a78c6bde744284bce91a1c
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   2012-09-01

    Added Japanese translation.

 po/LINGUAS |  1 +
 po/ja.po   | 42 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

commit 8341d3c676624eebfe2cb0a3935175420c1bd86e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2012-08-23

    Updated Polish translation

 po/pl.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 590c4c1dec4736e63c4eeff79af97403e5b88059
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-20

    Release version 0.9

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 131f2b209d8d4448905c798a0b604480868309a6
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-20

    Fix gcc warning about uninitialized warning

 libsecret/secret-methods.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea8c4e247dabfeaad9f65980c82d469708855979
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-16

    Display vala enabled status when configuring

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 8f3387caccdc88d45f70922c22c54770d093cc7f
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2012-08-16

    vala: use nodist sources for vala test cases
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681330

 libsecret/tests/Makefile.am | 35 ++++++++++++++++++++---------------
 1 file changed, 20 insertions(+), 15 deletions(-)

commit 152371b3e465d31fccee125dea56f8f765616017
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-08

    secret-tool: Add a manual page
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681434

 .gitignore               |   1 +
 configure.ac             |  22 ++++++--
 docs/Makefile.am         |   4 ++
 docs/man/Makefile.am     |  19 +++++++
 docs/man/secret-tool.xml | 132 +++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 175 insertions(+), 3 deletions(-)

commit 053ecbd8f70676c76cd0cfc5648256ccae27a1e8
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-08

    build: Fix build without libgcrypt
    
     * Needed to use m4_ifdef on the libgcrypt autoconf macro
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681330

 configure.ac | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 95f05f0e051b17551dd0e6f1f2a6c563abf11db7
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-06

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d4cf7c435bd2a67e94a17ff75682f00494069b2
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-06

    Require valac in order to 'make distcheck'
    
     * Otherwise problems with vala files not being distributed
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681330

 Makefile.am | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 4001cdf871efdb11a84d245d3a5c4877edce1f66
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-06

    Don't link to secure memory code twice
    
     * This leads to problems with the tests not being able to free
       non-pageable memory returned from libsecret-testable.so

 libsecret/tests/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 18e125d4622119a478fcf527d3313f6866ab8bf0
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-06

    More licensing tweaks
    
     * Actually include in the tarball the other licenses for test code
     * Refer to COPYING.TESTS not COPYING.GPL
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681302

 Makefile.am                  | 3 +++
 libsecret/tests/mock/hkdf.py | 4 +---
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 1c400704de3856c40678f5242478de74823255c4
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-06

    Release version 0.8

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 9011932730586dafe860e06503a91bcacd1139b1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   2012-08-05

    Actually export SECRET_SCHEMA_NOTE
    
    The regex for exported symbols was keeping the predefined
    schemas from being available to outside users of the library.
    This was showing up as a link error for seahorse, which is
    trying to use SECRET_SCHEMA_NOTE.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681255

 libsecret/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e43cba8174274d68356f298b06dda09827d810e5
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-06

    Fix up libsecret licensing
    
     * License libsecret under LGPL2.1+. We can do this because the
       files that make up the library are either LGPL2.0+ or LGPL2.1+
     * Correctly include a file which contains the full texts of the
       various licenses used in the tests.
     * Include license headers in some files that contained no license
       headers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680781

 COPYING                                    | 218 ++++++-----
 COPYING.TESTS                              | 587 +++++++++++++++++++++++++++++
 libsecret/tests/mock-service-delete.py     |  13 +-
 libsecret/tests/mock-service-lock.py       |  13 +-
 libsecret/tests/mock-service-normal.py     |  13 +-
 libsecret/tests/mock-service-only-plain.py |  13 +-
 libsecret/tests/mock-service-prompt.py     |  13 +-
 libsecret/tests/mock/__init__.py           |  11 +
 libsecret/tests/test-clear-password.js     |  10 +
 libsecret/tests/test-clear-password.py     |  11 +
 libsecret/tests/test-lookup-password.js    |  10 +
 libsecret/tests/test-lookup-password.py    |  11 +
 libsecret/tests/test-store-password.js     |  10 +
 libsecret/tests/test-store-password.py     |  11 +
 libsecret/tests/test-unstable.js           |  10 +
 libsecret/tests/test-unstable.py           |  11 +
 libsecret/tests/test-vala-lang.vala        |  11 +
 libsecret/tests/test-vala-unstable.vala    |  11 +
 18 files changed, 883 insertions(+), 104 deletions(-)

commit 66a7a81216122f2b9b845a722133da005f5237c3
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-31

    Fix introspection tests
    
     * Regressed due to hiding of internal symbols in libsecret.so and
       creation of a separate libsecret-testable.so library

 libsecret/Makefile.am                   |  1 +
 libsecret/secret-private.h              |  2 --
 libsecret/secret-service.c              | 22 +++++++++++++---------
 libsecret/tests/Makefile.am             |  1 -
 libsecret/tests/mock-service.c          |  3 +--
 libsecret/tests/test-clear-password.py  |  3 ++-
 libsecret/tests/test-lookup-password.py |  3 ++-
 libsecret/tests/test-methods.c          |  1 +
 libsecret/tests/test-password.c         |  1 +
 libsecret/tests/test-paths.c            |  1 +
 libsecret/tests/test-service.c          |  1 +
 libsecret/tests/test-store-password.py  |  3 ++-
 libsecret/tests/test-unstable.py        |  1 +
 libsecret/tests/test-vala-lang.vala     |  1 +
 libsecret/tests/test-vala-unstable.vala |  1 +
 15 files changed, 28 insertions(+), 17 deletions(-)

commit 6becc33e8c9893c68fa16d84d8d9fa7956cdf8a9
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-30

    Support building with automake 1.12.x
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680839

 autogen.sh | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 9544b683f172ce888218cd56bfab3f16a27d65b0
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-30

    secret-tool: Use the correct call to wipe password in memory
    
     * Fixes crash

 tool/secret-tool.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e34381276e458f5061c14ad39c48c3a4631ed885
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-24

    Set correct module flags on libsecret
    
     * Pointed out by Robert Ancell
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680207

 libsecret/Makefile.am       | 19 +++++++++++--------
 libsecret/tests/Makefile.am |  5 ++---
 2 files changed, 13 insertions(+), 11 deletions(-)

commit 54b73f5cb609b388d31d99708dc542d3aa03dbe1
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-17

    Initialize gettext in secret-tool
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680072

 tool/Makefile.am   | 1 +
 tool/secret-tool.c | 9 +++++++++
 2 files changed, 10 insertions(+)

commit 9bf240ef4d4e3f3a22f2899a163e3cc4b790656d
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-16

    Release version 0.7

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 45e01e66001fdc3399f3490baca5b02595ff801f
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-14

    Match schema names for notes and network passwords
    
     * These are old item types from libgnome-keyring, and
       gnome-keyring-daemon has special code to generate the
       schema for these types of items.

 libsecret/secret-schemas.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit ebc65dba98353fd6bd4cff63c0928c11bd2ec5c3
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-14

    Remove multiple definitions of SecretCollection
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679913

 libsecret/secret-collection.h | 1 -
 1 file changed, 1 deletion(-)

commit ce03e082a2a7d025e0b4ff6f235f96bfd37299f5
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-14

    Remove empty secret-unstable.h file

 0 files changed

commit f4d8fc4751caefc715981465424009a5f49b6b11
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-14

    Add flags argument to secret_collection_for_alias()
    
     * Can control whether items are loaded or not.

 libsecret/secret-collection.c     | 78 +++++++++++++++++++++++++++++----------
 libsecret/secret-collection.h     |  2 +
 libsecret/tests/test-collection.c | 74 ++++++++++++++++++++++++++++++++++---
 3 files changed, 129 insertions(+), 25 deletions(-)

commit 56ece9eff0940786ef2aabb4fab4ee8e61537b89
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-14

    Correct flags for SecretCollection
    
     * The SECRET_COLLECTION_LOAD_ITEMS flag was always set

 libsecret/secret-collection.c | 39 +++++++++++++--------------------------
 1 file changed, 13 insertions(+), 26 deletions(-)

commit 49cdaf5df8732f4085ff3e6b64bb09beb1f7e9c5
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-14

    Release version 0.6

 NEWS                                             |  7 +++
 configure.ac                                     |  2 +-
 docs/reference/libsecret/libsecret-examples.sgml | 52 +++++++++---------
 libsecret/tests/test-clear-password.js           | 68 +++++++++++++++++++++++
 libsecret/tests/test-clear-password.py           | 69 ++++++++++++++++++++++++
 libsecret/tests/test-remove-password.js          | 68 -----------------------
 libsecret/tests/test-remove-password.py          | 69 ------------------------
 7 files changed, 171 insertions(+), 164 deletions(-)

commit e0ba10ee09d66d5eba05798ea268437fb9e23518
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-14

    Rename secret_password_remove() to secret_password_clear()
    
     * It's clearer what happens here: we try to remove as many matching
       passwords as possible.
     * Also rename secret_service_remove() to secret_service_clear()
     * Rename secret_password_clear() which used to wipe password memory
       to secret_password_wipe().

 docs/reference/libsecret/libsecret-sections.txt    | 16 ++--
 .../libsecret/migrating-libgnome-keyring.xml       |  8 +-
 libsecret/Secret-1.metadata                        |  6 +-
 libsecret/secret-methods.c                         | 54 ++++++-------
 libsecret/secret-password.c                        | 88 +++++++++++-----------
 libsecret/secret-password.h                        | 12 +--
 libsecret/secret-service.h                         |  6 +-
 libsecret/tests/Makefile.am                        |  4 +-
 libsecret/tests/test-methods.c                     | 46 +++++------
 libsecret/tests/test-password.c                    | 38 +++++-----
 libsecret/tests/test-remove-password.js            | 14 ++--
 libsecret/tests/test-vala-lang.vala                | 16 ++--
 tool/secret-tool.c                                 | 20 ++---
 13 files changed, 162 insertions(+), 166 deletions(-)

commit 7efb4d5073815f58c4ecb917821d3998dcd1e373
Author: Colin Walters <walters@verbum.org>
Date:   2012-07-13

    build: Disable parallelism in tests

 libsecret/tests/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 19eb104158083808f864e34eb03a40e5698659c3
Author: Colin Walters <walters@verbum.org>
Date:   2012-07-13

    build: Fix parallel make issue
    
    SecretUnstable.gir depends on Secret.gir, which in turn depends
    on the stuff that was previously listed.

 libsecret/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69fd67ae19aff85f5e565d06949d731b7f8da908
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Properly refer to the fact that multiple passwords may be removed.

 libsecret/secret-password.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6422acd085ef76d69f3182b593175d7275abd873
Author: Colin Walters <walters@verbum.org>
Date:   2012-07-13

    build: Various introspection-related build fixes
    
    Don't set PKG_CONFIG_PATH, this breaks jhbuild; instead, use
    --include-uninstalled to tell the scanner where to find internal
    libraries.
    
    Don't set _PACKAGES = gio-2.0; we already pick that up from the
    Gio-2.0.gir.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679852

 libsecret/Makefile.am | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 5d725daf29b0f90654367e6b9aa2e3c6b8a44384
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Clearer warning when using unstable parts of API

 libsecret/secret.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 79d1f4b71842cbff82db1080046f8a77a4a3d611
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    The secret_attribute_build() functions are stable

 libsecret/secret.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 561e5c72ba33be522a12e941fc5f1950bb5cddf2
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    The predefined secret schemas are stable

 libsecret/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4fc7d144bb262ab11f63c5fb9953f33c7e663a49
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Search for mock-service-0.vapi in the right directory

 libsecret/tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 772eef69e65d8d810554b074b495439dffeb0912
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Documentation fix for SecretItem:flags

 libsecret/secret-item.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 77f8368a3ad34e16faab5e467b4024861ad4a8be
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Install headers to libsecret-1 instead of secret-1
    
     * Clearer and more consistent

 libsecret/Makefile.am     | 2 +-
 libsecret/libsecret.pc.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 83c8674a03bb3373daa63be3eb44385d10bff968
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Update documentation for to have correct headers
    
     * Add add more warnings to unstable API documentation

 docs/reference/libsecret/libsecret-sections.txt | 14 +++++++-------
 libsecret/secret-collection.c                   |  3 +++
 libsecret/secret-item.c                         |  3 +++
 libsecret/secret-password.c                     |  5 ++++-
 libsecret/secret-paths.c                        |  3 +++
 libsecret/secret-prompt.c                       |  3 +++
 libsecret/secret-service.c                      |  3 +++
 libsecret/secret-value.c                        |  3 +++
 8 files changed, 29 insertions(+), 8 deletions(-)

commit 7816417167bb0656b9d176890ebb1af793d1b17d
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Release version 0.5

 NEWS                                 | 14 ++++++++++++++
 docs/reference/libsecret/Makefile.am |  2 +-
 libsecret/tests/Makefile.am          |  1 -
 tool/Makefile.am                     |  2 +-
 4 files changed, 16 insertions(+), 3 deletions(-)

commit db95ff86b34b966c710001c0435363793e07f4d2
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Add missing documentation for secret_item_get_schema_name()

 docs/reference/libsecret/libsecret-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 1b84a1ad42fdb9bf40cf8d3c9cd8b76ae798bd98
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    More fixes for broken vapi and gir generation
    
     * Man this is brittle

 libsecret/Makefile.am       | 12 ++++++++----
 libsecret/tests/Makefile.am |  2 +-
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 234855ea7d6590edcdb2b981050d9257bfcabcdc
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Bump the library major version number
    
     * We want to settle on 1 after first stable release
     * Since we're going to start patching projects we want this to have
       the pkg-config file be libsecret-1

 configure.ac                |  2 +-
 libsecret/Secret-0.metadata | 20 --------------------
 libsecret/Secret-1.metadata | 20 ++++++++++++++++++++
 3 files changed, 21 insertions(+), 21 deletions(-)

commit a1c3e9bb097b0dabb690972122f53ebc839c558e
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Document how to build with or use libsecret

 .gitignore                                    |   1 +
 configure.ac                                  |   1 +
 docs/reference/libsecret/Makefile.am          |   3 +-
 docs/reference/libsecret/libsecret-docs.sgml  |   2 +
 docs/reference/libsecret/libsecret-using.sgml | 146 ++++++++++++++++++++++++++
 docs/reference/libsecret/version-major.xml.in |   1 +
 libsecret/tests/Makefile.am                   |   2 +-
 7 files changed, 154 insertions(+), 2 deletions(-)

commit 994ae44a77e55077bb64141a08ab8a5143a7d3f1
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Split the pkg-config files, gir, and vapi into stable/unstable
    
     * C callers need to use libsecret-0 pkg-config file for stable and
       libsecret-unstable for unstable stuff.
     * Vala callers need to '--pkg libsecret-unstable' for unstable
     * GObject Introspection callers need to use the SecretUnstable package

 .gitignore                              |  4 +-
 configure.ac                            |  1 +
 libsecret/Makefile.am                   | 70 +++++++++++++++++++++++++--------
 libsecret/SecretUnstable-0.metadata     |  5 +++
 libsecret/libsecret-unstable.pc.in      | 13 ++++++
 libsecret/secret-attributes.h           |  2 +-
 libsecret/secret-collection.c           |  6 +--
 libsecret/secret-collection.h           |  5 ++-
 libsecret/secret-item.c                 |  4 +-
 libsecret/secret-item.h                 |  3 +-
 libsecret/secret-methods.c              |  4 +-
 libsecret/secret-password.h             |  2 +-
 libsecret/secret-paths.c                |  4 +-
 libsecret/secret-paths.h                |  2 +-
 libsecret/secret-private.h              |  1 +
 libsecret/secret-prompt.h               |  3 +-
 libsecret/secret-schema.h               |  2 +-
 libsecret/secret-schemas.h              |  2 +-
 libsecret/secret-service.c              |  2 +-
 libsecret/secret-service.h              | 11 +++++-
 libsecret/secret-types.h                | 15 +------
 libsecret/secret-unstable.h             | 39 ------------------
 libsecret/secret-value.c                |  2 +-
 libsecret/secret-value.h                |  4 +-
 libsecret/secret.h                      | 18 +++++++++
 libsecret/tests/Makefile.am             | 56 +++++++++++++-------------
 libsecret/tests/test-unstable.js        | 17 ++++++++
 libsecret/tests/test-unstable.py        | 23 +++++++++++
 libsecret/tests/test-vala-unstable.vala | 25 ++++++++++++
 29 files changed, 227 insertions(+), 118 deletions(-)

commit 5cc30b2b68f551506bd9bbbe1306a24009e14eca
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-13

    Rename the library subdirectory to libsecret
    
     * Death by a thousand paper cuts from gir and vapi not liking
       the fact that the secret.h file was not usable uninstalled
       and installed in the same way.

 .gitignore                                      |   18 +-
 Makefile.am                                     |    2 +-
 autogen.sh                                      |    2 +-
 configure.ac                                    |    8 +-
 docs/reference/libsecret/Makefile.am            |    8 +-
 docs/reference/libsecret/libsecret-sections.txt |   20 +-
 library/Makefile.am                             |  178 --
 library/Secret-0.metadata                       |   20 -
 library/libsecret.pc.in                         |   14 -
 library/org.freedesktop.Secrets.xml             |  160 --
 library/secret-attributes.c                     |  287 ---
 library/secret-attributes.h                     |   38 -
 library/secret-collection.c                     | 2223 --------------------
 library/secret-collection.h                     |  174 --
 library/secret-enum-types.c.template            |   43 -
 library/secret-enum-types.h.template            |   28 -
 library/secret-item.c                           | 2086 -------------------
 library/secret-item.h                           |  195 --
 library/secret-methods.c                        | 1936 ------------------
 library/secret-password.c                       |  864 --------
 library/secret-password.h                       |  135 --
 library/secret-paths.c                          | 2479 -----------------------
 library/secret-paths.h                          |  277 ---
 library/secret-private.h                        |  206 --
 library/secret-prompt.c                         |  543 -----
 library/secret-prompt.h                         |   79 -
 library/secret-schema.c                         |  383 ----
 library/secret-schema.h                         |   77 -
 library/secret-schemas.c                        |   79 -
 library/secret-schemas.h                        |   42 -
 library/secret-service.c                        | 1724 ----------------
 library/secret-service.h                        |  292 ---
 library/secret-session.c                        |  669 ------
 library/secret-types.h                          |   56 -
 library/secret-unstable.h                       |   39 -
 library/secret-util.c                           |  449 ----
 library/secret-value.c                          |  299 ---
 library/secret-value.h                          |   52 -
 library/secret.h                                |   29 -
 library/tests/Makefile.am                       |  202 --
 library/tests/mock-service-delete.py            |   17 -
 library/tests/mock-service-lock.py              |   17 -
 library/tests/mock-service-normal.py            |    7 -
 library/tests/mock-service-only-plain.py        |    8 -
 library/tests/mock-service-prompt.py            |   44 -
 library/tests/mock-service.c                    |   93 -
 library/tests/mock-service.h                    |   27 -
 library/tests/mock/__init__.py                  |    1 -
 library/tests/mock/aes.py                       |  656 ------
 library/tests/mock/dh.py                        |   81 -
 library/tests/mock/hkdf.py                      |   86 -
 library/tests/mock/service.py                   |  710 -------
 library/tests/test-collection.c                 |  960 ---------
 library/tests/test-item.c                       |  867 --------
 library/tests/test-lookup-password.js           |   52 -
 library/tests/test-lookup-password.py           |   59 -
 library/tests/test-methods.c                    |  945 ---------
 library/tests/test-password.c                   |  328 ---
 library/tests/test-paths.c                      |  746 -------
 library/tests/test-prompt.c                     |  414 ----
 library/tests/test-remove-password.js           |   68 -
 library/tests/test-remove-password.py           |   69 -
 library/tests/test-service.c                    |  583 ------
 library/tests/test-session.c                    |  231 ---
 library/tests/test-store-password.js            |   58 -
 library/tests/test-store-password.py            |   59 -
 library/tests/test-vala-lang.vala               |  172 --
 library/tests/test-value.c                      |  210 --
 libsecret/Makefile.am                           |  178 ++
 libsecret/Secret-0.metadata                     |   20 +
 libsecret/libsecret.pc.in                       |   14 +
 libsecret/org.freedesktop.Secrets.xml           |  160 ++
 libsecret/secret-attributes.c                   |  287 +++
 libsecret/secret-attributes.h                   |   38 +
 libsecret/secret-collection.c                   | 2223 ++++++++++++++++++++
 libsecret/secret-collection.h                   |  174 ++
 libsecret/secret-enum-types.c.template          |   43 +
 libsecret/secret-enum-types.h.template          |   28 +
 libsecret/secret-item.c                         | 2086 +++++++++++++++++++
 libsecret/secret-item.h                         |  195 ++
 libsecret/secret-methods.c                      | 1936 ++++++++++++++++++
 libsecret/secret-password.c                     |  864 ++++++++
 libsecret/secret-password.h                     |  135 ++
 libsecret/secret-paths.c                        | 2479 +++++++++++++++++++++++
 libsecret/secret-paths.h                        |  277 +++
 libsecret/secret-private.h                      |  206 ++
 libsecret/secret-prompt.c                       |  543 +++++
 libsecret/secret-prompt.h                       |   79 +
 libsecret/secret-schema.c                       |  383 ++++
 libsecret/secret-schema.h                       |   77 +
 libsecret/secret-schemas.c                      |   79 +
 libsecret/secret-schemas.h                      |   42 +
 libsecret/secret-service.c                      | 1724 ++++++++++++++++
 libsecret/secret-service.h                      |  292 +++
 libsecret/secret-session.c                      |  669 ++++++
 libsecret/secret-types.h                        |   56 +
 libsecret/secret-unstable.h                     |   39 +
 libsecret/secret-util.c                         |  449 ++++
 libsecret/secret-value.c                        |  299 +++
 libsecret/secret-value.h                        |   52 +
 libsecret/secret.h                              |   29 +
 libsecret/tests/Makefile.am                     |  202 ++
 libsecret/tests/mock-service-delete.py          |   17 +
 libsecret/tests/mock-service-lock.py            |   17 +
 libsecret/tests/mock-service-normal.py          |    7 +
 libsecret/tests/mock-service-only-plain.py      |    8 +
 libsecret/tests/mock-service-prompt.py          |   44 +
 libsecret/tests/mock-service.c                  |   93 +
 libsecret/tests/mock-service.h                  |   27 +
 libsecret/tests/mock/__init__.py                |    1 +
 libsecret/tests/mock/aes.py                     |  656 ++++++
 libsecret/tests/mock/dh.py                      |   81 +
 libsecret/tests/mock/hkdf.py                    |   86 +
 libsecret/tests/mock/service.py                 |  710 +++++++
 libsecret/tests/test-collection.c               |  960 +++++++++
 libsecret/tests/test-item.c                     |  867 ++++++++
 libsecret/tests/test-lookup-password.js         |   52 +
 libsecret/tests/test-lookup-password.py         |   59 +
 libsecret/tests/test-methods.c                  |  945 +++++++++
 libsecret/tests/test-password.c                 |  328 +++
 libsecret/tests/test-paths.c                    |  746 +++++++
 libsecret/tests/test-prompt.c                   |  414 ++++
 libsecret/tests/test-remove-password.js         |   68 +
 libsecret/tests/test-remove-password.py         |   69 +
 libsecret/tests/test-service.c                  |  583 ++++++
 libsecret/tests/test-session.c                  |  231 +++
 libsecret/tests/test-store-password.js          |   58 +
 libsecret/tests/test-store-password.py          |   59 +
 libsecret/tests/test-vala-lang.vala             |  172 ++
 libsecret/tests/test-value.c                    |  210 ++
 po/POTFILES.in                                  |    4 +-
 po/pl.po                                        |    4 +-
 tool/Makefile.am                                |    4 +-
 133 files changed, 23960 insertions(+), 23960 deletions(-)

commit 931f677c7ac8af0a6ebed2e3ef7472a7076bc8be
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-12

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
